> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# タスクの一覧を取得



## OpenAPI

````yaml ja/openapi/model-distillation/management.openapi.yaml GET /tasks
openapi: 3.1.0
info:
  title: CoreWeave Model Distillation Management API
  version: 1.0.0
  description: |
    プロバイダー、project（APIパスではタスクと呼ばれます）、ルーティングバージョン、
    データセット、再ラベル付け、ファインチューン、評価、Analyticsを管理します。これは
    Model Distillationでも使用されるAPIです。
servers:
  - url: https://distillation.training.wandb.ai/v1
    description: 本番
security:
  - WandbCredential: []
tags:
  - name: Providers
    description: OpenAI互換エンドポイント、認証情報、モデルカタログ、料金。
  - name: Tasks
    description: 安定したタスクアイデンティティとタスクレベルの情報。
  - name: Routing
    description: バージョン管理されたモデルターゲット、重み、リクエストパラメーター。
  - name: Datasets
    description: 再現可能なデータスナップショット、エントリ、再ラベル付け、再利用可能なモデル出力。
  - name: Fine-tunes
    description: 教師ありファインチューニングジョブとホスト型モデル アーティファクト。
  - name: Evaluations
    description: ヘッドツーヘッド、完全一致、分類の評価。
  - name: Analytics
    description: タスク トラフィック、トークン、エラー、推定コストの読み取りモデル。
  - name: UI preferences
    description: UIで使用されるタスクごとの表示設定。
paths:
  /tasks:
    parameters:
      - $ref: '#/components/parameters/WandbEntity'
    get:
      tags:
        - Tasks
      summary: タスクを一覧表示
      operationId: listTasks
      responses:
        '200':
          description: 解決されたentity内のタスク。
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Task'
        default:
          $ref: '#/components/responses/Error'
components:
  parameters:
    WandbEntity:
      name: Wandb-Entity
      in: header
      required: false
      description: アクセス可能な個人またはチーム entity。省略すると、認証済みユーザーのデフォルトの entity を使用します。
      schema:
        type: string
  schemas:
    Task:
      type: object
      required:
        - id
        - entity
        - project
        - alias
        - proxy_backend
        - created_at
        - updated_at
        - versions
      properties:
        id:
          type: string
          format: uuid
        entity:
          type: string
        project:
          type: string
        alias:
          type: string
        proxy_backend:
          type: string
          enum:
            - cloudflare
            - local
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        versions:
          type: array
          items:
            $ref: '#/components/schemas/TaskVersion'
    TaskVersion:
      type: object
      required:
        - version
        - created_at
      properties:
        version:
          type: integer
          minimum: 1
        created_at:
          type: string
          format: date-time
        routing:
          oneOf:
            - $ref: '#/components/schemas/RoutingConfig'
            - type: 'null'
        deployment:
          oneOf:
            - $ref: '#/components/schemas/Deployment'
            - type: 'null'
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
            type:
              type: string
      example:
        error:
          message: Task 'missing' not found in entity 'your-team'
          type: not_found
    RoutingConfig:
      type: object
      additionalProperties: true
      required:
        - targets
      properties:
        targets:
          type: array
          items:
            $ref: '#/components/schemas/Target'
    Deployment:
      type: object
      required:
        - proxy_backend
        - status
      additionalProperties: true
      properties:
        proxy_backend:
          type: string
        status:
          type: string
          enum:
            - pending
            - applying
            - applied
            - failed
        applied_revision:
          type: integer
          nullable: true
        external_ref:
          type: string
          nullable: true
        last_error:
          type: string
          nullable: true
    Target:
      type: object
      additionalProperties: false
      required:
        - model_ref
        - weight
      properties:
        model_ref:
          $ref: '#/components/schemas/ModelRef'
        weight:
          type: number
          minimum: 0
        params_override:
          $ref: '#/components/schemas/JsonObject'
      example:
        model_ref: openai/gpt-5.6-sol
        weight: 1
        params_override:
          temperature: 0
    ModelRef:
      type: string
      pattern: ^[a-z0-9][a-z0-9_-]{0,63}/\S+$
      example: openai/gpt-5.6-sol
    JsonObject:
      type: object
      additionalProperties: true
  responses:
    Error:
      description: リクエストが失敗しました。
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    WandbCredential:
      type: http
      scheme: bearer
      bearerFormat: W&B API key
      description: W&B APIキー。

````